XMPP::BareJID Class Reference

`#include <xmpp.h>`

Inheritance diagram for XMPP::BareJID:

## Public Member Functions

| BareJID (const char *jid=0)
| BareJID (const PString &jid)
| BareJID (const PString &user, const PString &server, const PString &resource=PString::Empty())
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
BareJID & | operator= (const PString &jid)
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PString | GetResource () const
virtual void | SetResource (const PString &)
virtual PBoolean | IsBare () const
Public Member Functions inherited from XMPP::JID
| JID (const char *jid=0)
| JID (const PString &jid)
| JID (const PString &user, const PString &server, const PString &resource=PString::Empty())
JID & | operator= (const PString &jid)
| operator const PString & () const
PString | GetUser () const
PString | GetServer () const
virtual void | SetUser (const PString &user)
virtual void | SetServer (const PString &server)
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from XMPP::JID
virtual void | ParseJID (const PString &jid)
virtual void | BuildJID () const
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Protected Attributes inherited from XMPP::JID
PString | m_User
PString | m_Server
PString | m_Resource
PString | m_JID
PBoolean | m_IsDirty

## Constructor & Destructor Documentation

## BareJID() [1/3]

XMPP::BareJID::BareJID | ( | const char * | jid = `0` | ) |

inline

## BareJID() [2/3]

XMPP::BareJID::BareJID | ( | const PString & | jid | ) |

inline

## BareJID() [3/3]

XMPP::BareJID::BareJID | ( | const PString & | user,
|  | const PString & | server,
|  | const PString & | resource = `PString::Empty()`
| ) |  |

inline

References XMPP::JID::Compare(), and XMPP::JID::operator=().

## Member Function Documentation

## Clone()

virtual PObject* XMPP::BareJID::Clone | ( |  | ) | const

inline virtual

Create a copy of the class on the heap.

The exact semantics of the descendent class determine what is required to make a duplicate of the instance. Not all classes can even do a clone operation.

The main user of the clone function is the `PDictionary` class as it requires copies of the dictionary keys.

The default behaviour is for this function to assert.

Returns
  pointer to new copy of the class instance.

Reimplemented from XMPP::JID.

References XMPP::JID::m_JID.

## Compare()

virtual Comparison XMPP::BareJID::Compare | ( | const PObject & | obj | ) | const

virtual

Compare the two objects and return their relative rank.

This function is usually overridden by descendent classes to yield the ranking according to the semantics of the object.

The default function is to use the `CompareObjectMemoryDirect()` function to do a byte wise memory comparison of the two objects.

Returns
  `LessThan`, `EqualTo` or `GreaterThan` according to the relative rank of the objects.

Parameters

  obj | Object to compare against.

Reimplemented from XMPP::JID.

## GetResource()

virtual PString XMPP::BareJID::GetResource | ( |  | ) | const

inline virtual

Reimplemented from XMPP::JID.

References PString::Empty().

## IsBare()

virtual PBoolean XMPP::BareJID::IsBare | ( |  | ) | const

inline virtual

Reimplemented from XMPP::JID.

## operator=()

BareJID& XMPP::BareJID::operator= | ( | const PString & | jid | ) |

Parameters

  jid | New JID to assign.

## SetResource()

virtual void XMPP::BareJID::SetResource | ( | const PString & |  | ) |

inline virtual

Reimplemented from XMPP::JID.

The documentation for this class was generated from the following file:

- xmpp.h